Package org.drinkless.tdlib

# Class TdApi.CreateBasicGroupChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Chat>
org.drinkless.tdlib.TdApi.CreateBasicGroupChat

Enclosing class:
  `TdApi`

public static class TdApi.CreateBasicGroupChat extends TdApi.Function<TdApi.Chat>
Returns an existing chat corresponding to a known basic group.

Returns `Chat`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `basicGroupId`
  Basic group identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `force`
  Pass true to create the chat without a network request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateBasicGroupChat()`
  Default constructor for a function, which returns an existing chat corresponding to a known basic group.
  `CreateBasicGroupChat(long basicGroupId, boolean force)`
  Creates a function, which returns an existing chat corresponding to a known basic group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### basicGroupId

    public long basicGroupId
    Basic group identifier.

  - ### force

    public boolean force
    Pass true to create the chat without a network request. In this case all information about the chat except its type, title and photo can be incorrect.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateBasicGroupChat

    public CreateBasicGroupChat()
    Default constructor for a function, which returns an existing chat corresponding to a known basic group.

    Returns `Chat`

  - ### CreateBasicGroupChat

    public CreateBasicGroupChat(long basicGroupId, boolean force)
    Creates a function, which returns an existing chat corresponding to a known basic group.

    Returns `Chat`

    Parameters:
      `basicGroupId` - Basic group identifier.
      `force` - Pass true to create the chat without a network request. In this case all information about the chat except its type, title and photo can be incorrect.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Chat>`
    Returns:
      this.CONSTRUCTOR